Qyra
ReferenceOrganizations

Create project

Create a new project in the organization

POST/api/v1/org/projects

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Request body

{
  "name": "string",
  "type": "DEFAULT",
  "pinnedListUuid": "string",
  "organizationWarehouseCredentialsUuid": "string",
  "upstreamProjectUuid": "string",
  "dbtConnection": {
    "type": "dbt",
    "target": "string",
    "environment": [
      {
        "value": "string",
        "key": "string"
      }
    ],
    "selector": "string",
    "profiles_dir": "string",
    "project_dir": "string"
  },
  "dbtVersion": "v1.4",
  "projectDefaults": {
    "pre_aggregate_execution_fallback": true,
    "granularity_labels": {},
    "additional_time_intervals": {
      "timestamp": [
        "RAW"
      ],
      "date": [
        "RAW"
      ]
    },
    "column_totals": true,
    "case_sensitive": true
  },
  "copyWarehouseConnectionFromUpstreamProject": true,
  "tableConfiguration": "prod",
  "copyContent": true,
  "expiresInHours": 0,
  "warehouseConnection": {
    "sshTunnelPrivateKey": "string",
    "sshTunnelPublicKey": "string",
    "sshTunnelUser": "string",
    "sshTunnelPort": 0,
    "sshTunnelHost": "string",
    "useSshTunnel": true,
    "awsSsoRoleName": "string",
    "awsSsoAccountId": "string",
    "awsSsoRegion": "string",
    "awsSsoStartUrl": "string",
    "assumeRoleExternalId": "string",
    "assumeRoleArn": "string",
    "sessionToken": "string",
    "secretAccessKey": "string",
    "accessKeyId": "string",
    "dbGroups": [
      "string"
    ],
    "autoCreate": true,
    "workgroupName": "string",
    "clusterIdentifier": "string",
    "isServerless": true,
    "region": "string",
    "authenticationType": "password",
    "timeoutSeconds": 0,
    "dataTimezone": "string",
    "startOfWeek": {},
    "ra3Node": true,
    "sslmode": "string",
    "keepalivesIdle": 0,
    "threads": 0,
    "schema": "string",
    "dbname": "string",
    "port": 0,
    "requireUserCredentials": true,
    "password": "string",
    "user": "string",
    "host": "string",
    "type": "redshift"
  }
}

Responses

200 — Ok

{
  "results": {
    "contentCopyError": "string",
    "accessCopyError": "string",
    "hasContentCopy": true,
    "project": {
      "agentSqlScope": {
        "deniedCatalogs": [
          "string"
        ],
        "deniedSchemas": [
          "string"
        ],
        "catalogs": [
          "string"
        ],
        "schemas": [
          "string"
        ]
      },
      "provisioningSource": "string",
      "expiresAt": "2024-01-01T00:00:00.000Z",
      "colorPaletteUuid": "string",
      "projectDefaults": {
        "pre_aggregate_execution_fallback": true,
        "granularity_labels": {},
        "additional_time_intervals": {
          "timestamp": [
            "RAW"
          ],
          "date": [
            "RAW"
          ]
        },
        "column_totals": true,
        "case_sensitive": true
      },
      "hasDefaultUserSpaces": true,
      "organizationWarehouseCredentialsUuid": "string",
      "createdByUserUuid": "string",
      "schedulerFailureContactOverride": "string",
      "schedulerFailureIncludeContact": true,
      "schedulerFailureNotifyRecipients": true,
      "useProjectTimezoneInFilters": true,
      "queryTimezone": "string",
      "schedulerTimezone": "string",
      "dbtVersion": "v1.4",
      "upstreamProjectUuid": "string",
      "pinnedListUuid": "string",
      "warehouseConnection": {
        "type": "snowflake",
        "account": "string",
        "requireUserCredentials": true,
        "authenticationType": "password",
        "role": "string",
        "database": "string",
        "warehouse": "string",
        "schema": "string",
        "threads": 0,
        "clientSessionKeepAlive": true,
        "queryTag": "string",
        "accessUrl": "string",
        "startOfWeek": {},
        "dataTimezone": "string",
        "quotedIdentifiersIgnoreCase": true,
        "disableTimestampConversion": true,
        "timeoutSeconds": 0,
        "override": true,
        "organizationWarehouseCredentialsUuid": "string"
      },
      "dbtConnection": {
        "type": "dbt",
        "target": "string",
        "environment": [
          {
            "value": "string",
            "key": "string"
          }
        ],
        "selector": "string",
        "profiles_dir": "string",
        "project_dir": "string"
      },
      "type": "DEFAULT",
      "name": "string",
      "slug": "string",
      "projectUuid": "string",
      "organizationUuid": "string"
    }
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}